bug-gnustep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[patch #4638] Cannot use dynamic services unless app is already running.


From: anonymous
Subject: [patch #4638] Cannot use dynamic services unless app is already running.
Date: Fri, 18 Nov 2005 22:45:58 +0000
User-agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050920 Firefox/1.0.7

URL:
  <http://savannah.gnu.org/patch/?func=detailitem&item_id=4638>

                 Summary: Cannot use dynamic services unless app is already
running.
                 Project: GNUstep
            Submitted by: None
            Submitted on: Fri 11/18/05 at 22:45
                Category: AppKit
                Priority: 2
                  Status: None
                 Privacy: Public
             Assigned to: None
        Originator Email: address@hidden
             Open/Closed: Open

    _______________________________________________________

Details:

Dynamic services are usable only if the app providing the service is already
running, otherwise the app isn't started and the service attempt fails with
the error "Failed to contact service provider." This can be tested with any
of Terminal.app's dynamic services, for example. The problem seems to be that
when the services cache is created by make_services, the ServicePath key is
set not to the path of the provider application itself, but rather to the
path of the plist containing the definitions for the dynamic services. This
patch will set ServicePath to the path of the provider application instead.



    _______________________________________________________

Carbon-Copy List:

CC Address                          | Comment
------------------------------------+-----------------------------
aer --AT-- shaw --DOT-- ca          | Originator Email



    _______________________________________________________

File Attachments:


-------------------------------------------------------
Date: Fri 11/18/05 at 22:45  Name: dynamic_services.diff  Size: 1.9KB   By:
None

<http://savannah.gnu.org/patch/download.php?item_id=4638&item_file_id=5493>

    _______________________________________________________

Reply to this item at:

  <http://savannah.gnu.org/patch/?func=detailitem&item_id=4638>

_______________________________________________
  Message sent via/by Savannah
  http://savannah.gnu.org/





reply via email to

[Prev in Thread] Current Thread [Next in Thread]